From a1289a8bd7497eafd5bc7574c17ee56cea4069bf Mon Sep 17 00:00:00 2001
From: nakul kachhwaha <nkachhwa@codeaurora.org>
Date: Thu, 17 Jan 2019 15:13:31 +0530
Subject: [PATCH 2/2] cnss2: USB Transport specific declarations

Adding cnss_usb_wlan_driver structure definition
and related function declarations in cnss2 header.

Signed-off-by: nakul kachhwaha <nkachhwa@codeaurora.org>
---
 include/net/cnss2.h | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/include/net/cnss2.h b/include/net/cnss2.h
index f3b77954..330e1bf 100644
--- a/include/net/cnss2.h
+++ b/include/net/cnss2.h
@@ -14,6 +14,7 @@
 #define _NET_CNSS2_H
 
 #include <linux/pci.h>
+#include <linux/usb.h>
 
 #define CNSS_MAX_FILE_NAME		20
 #define CNSS_MAX_TIMESTAMP_LEN		32
@@ -82,6 +83,21 @@ struct cnss_wlan_driver {
 	const struct pci_device_id *id_table;
 };
 
+struct cnss_usb_wlan_driver {
+	char *name;
+	int  (*probe)(struct usb_interface *pintf, const struct usb_device_id
+	              *id);
+	void (*remove)(struct usb_interface *pintf);
+	int  (*reinit)(struct usb_interface *pintf, const struct usb_device_id
+	               *id);
+	void (*shutdown)(struct usb_interface *pintf);
+	void (*crash_shutdown)(struct usb_interface *pintf);
+	int  (*suspend)(struct usb_interface *pintf, pm_message_t state);
+	int  (*resume)(struct usb_interface *pintf);
+	int  (*reset_resume)(struct usb_interface *pintf);
+	const struct usb_device_id *id_table;
+};
+
 enum cnss_driver_status {
 	CNSS_UNINITIALIZED,
 	CNSS_INITIALIZED,
@@ -210,5 +226,7 @@ extern int cnss_athdiag_write(struct device *dev, uint32_t offset,
 			      uint32_t mem_type, uint32_t data_len,
 			      uint8_t *input);
 extern int cnss_set_fw_log_mode(struct device *dev, uint8_t fw_log_mode);
+extern int cnss_usb_wlan_register_driver(struct cnss_usb_wlan_driver *driver);
+extern void cnss_usb_wlan_unregister_driver(struct cnss_usb_wlan_driver *driver);
 
 #endif /* _NET_CNSS2_H */
-- 
1.9.1

